Feature Flags

Get flag list of an environment

GET
/api/v1/envs/{envId}/feature-flags

Get the list of flags of a particular environment.

Authorization

AccessToken
Authorization<token>

Use access token to access this API. Example: "Authorization: api-MzQ..."

In: header

Path Parameters

envId*string
Formatuuid

Query Parameters

Name?string

The name/key or part of the name/key of a feature flag

Tags?array<string>

The list of tags, you must use the complete name of tags

IsEnabled?boolean

Return only enabled feature flags if true, and return only disabled feature flags if false. If you don't provide any value, both enabled and disabled feature flags would be returned.

IsArchived?boolean

Return only archived feature flags if true, the default value is false

SortBy?string

The field to sort by, the default is createdAt

PageIndex?integer

The index of the page to be returned. Default is 0.

Formatint32
PageSize?integer

The size of the page to be returned. Default is 10.

Formatint32

Header Parameters

Organization?string

The organization ID associated with the request. Some APIs require this header to identify the organization context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Workspace?string

The workspace ID associated with the request. Some APIs require this header to identify the workspace context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Response Body

application/json

curl -X GET "https://example.com/api/v1/envs/497f6eca-6276-4993-bfeb-53cbbbba6f08/feature-flags"
{  "success": true,  "errors": [    "string"  ],  "data": {    "totalCount": 0,    "items": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "description": "string",        "key": "string",        "isEnabled": true,        "variationType": "string",        "variations": [          {            "id": "string",            "name": "string",            "value": "string"          }        ],        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "creator": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "email": "string"        },        "serves": {          "enabledVariations": [            "string"          ],          "disabledVariation": "string"        },        "tags": [          "string"        ],        "lastChange": {          "operator": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "name": "string",            "email": "string"          },          "happenedAt": "2019-08-24T14:15:22Z",          "comment": "string"        }      }    ]  }}